syntax = "proto3";
option go_package = ".;pb";

message DBLibrary {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 fid = 3;        // 配置表id 羁绊id
  map<string,int32> hero = 4; // key: hid value: favorlv
  map<int32,int32> prize = 5; //是否领奖  key 好感度等级
  int32 fetterlv = 6; // 当前羁绊等级
  int32 storyid = 7; // 故事id 用来判断是否领奖
  bool activation = 8; // 是否激活
}

// 羁绊英雄数据
message DBHeroFetter{
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  string heroid = 3; // 英雄配置表id
  repeated int32 history = 4; // 传记往事ID
  int32 favorlv = 5; // 好感度等级
  int32 favorexp = 6; // 好感度经验
  int32 stroyprize = 7; // 剧情奖励
}